/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class ValidationPlan {
	
	private int numberOfRoundingPlaces;
	
	@XmlElement(name = "schematron_file", required = false)
	private String schematronFile;
	
	@XmlElement(name = "check", required = true)
	private List<PlanCheck> checks;
	

	public void setSchematronFile(String schematronFile) {
		this.schematronFile = schematronFile;
	}
	
	public String getSchematronFile() {
		return schematronFile;
	}
	
	public int getNumberOfRoundingPlaces() {
		return numberOfRoundingPlaces;
	}
	
	public void setNumberOfRoundingPlaces(int numberOfRoundingPlaces) {
		this.numberOfRoundingPlaces = numberOfRoundingPlaces;
	}
	
	public List<PlanCheck> getChecks() {
		if (checks == null) {
			checks = new ArrayList<>();
		}
		return checks;
	}

	public void setChecks(List<PlanCheck> checks) {
		this.checks = checks;
	}

}
